<?php
/**
 *
 * Code for Automatic Google AdSense extension for the phpBB Forum Software package.
 *
 * @copyright (c) 2018 Picaron
 * @license GNU General Public License, version 2 (GPL-2.0)
 *
 */

namespace Picaron\GoogleAnunAut\migrations;

class release_1_0_0 extends \phpbb\db\migration\migration 
{
	
	public function effectively_installed() 
	{
		return !empty($this->config['googleanunaut_id']);
	}

	/**
	* Assign migration file dependencies for this migration
	*
	* @return array Array of migration files
	* @static
	* @access public
	*/
	static public function depends_on()
	{
		return array('\phpbb\db\migration\data\v310\gold');
	}

	/**
	* Add Google Analytics data to the database.
	*
	* @return array Array of table data
	* @access public
	*/    
	public function update_data() 
	{
		return array(
			array('config.add', array('googleanunaut_id', '')),
		);
	}
}
?>